# frozen_string_literal: true

# Config valid for current version and patch releases of Capistrano.
lock '~> 3.11.0'

set :application, 'partynest'
set :repo_url, 'https://github.com/libertarian-party/partynest.git'

# Default branch is :master.
# ask :branch, `git rev-parse --abbrev-ref HEAD`.chomp

# Default deploy_to directory is /var/www/my_app_name.
set :deploy_to, "/opt/#{fetch(:application)}"

# Default value for :format is :airbrussh.
# set :format, :airbrussh

# You can configure the Airbrussh format using :format_options.
# These are the defaults.
# set :format_options,
#     command_output: true,
#     log_file:       'log/capistrano.log',
#     color:          :auto,
#     truncate:       :auto

# Default value for :pty is false.
# set :pty, true

# Default value for :linked_files is [].
append :linked_files,
       'config/master.key'

# Default value for linked_dirs is [].
append :linked_dirs,
       'log',
       'storage',
       'tmp/cache',
       'tmp/pids',
       'tmp/sockets'

# Default value for default_env is {}.
# set :default_env, path: '/opt/ruby/bin:$PATH'

# Default value for local_user is ENV['USER'].
# set :local_user, -> { `git config user.name`.chomp }

# Default value for keep_releases is 5.
# set :keep_releases, 5

# Uncomment the following to require manually verifying the host key
# before first deploy.
# set :ssh_options, verify_host_key: :secure

root_dir = File.join(__dir__, '..')

ruby_version = File.read(File.expand_path('.ruby-version', root_dir)).chomp
ruby_gemset  = File.read(File.expand_path('.ruby-gemset',  root_dir)).chomp

set :rvm_ruby_version, "#{ruby_version}@#{ruby_gemset}"

set :rvm_roles, %i[rvm]
